GetSBOMImport
Fetches an imported SBOM specified by its UUID.
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-imports/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-imports/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/sbom-imports/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": true,
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"spec": {
"kind": "SBOM_KIND_UNSPECIFIED",
"cyclone_dx": "<string>",
"cyclone_dx_bytes": "aSDinaTvuI8gbWludGxpZnk=",
"identifier": "<string>",
"main_component_purl": "<string>",
"spdx": "<string>",
"spdx_bytes": "aSDinaTvuI8gbWludGxpZnk=",
"supplier_name": "<string>",
"version": 123
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
ImportedSBOM represents an SBOM that has been imported.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The internal specification of the object.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Was this page helpful?
